/*
 * reboot.c
 */


#include<sys/types.h>
#include<unistd.h>
#include<signal.h>
#include<errno.h>


extern int _reboot(int flag);


int reboot(int flag)
{
	if (getuid() != 0)
	{
		errno = EPERM;
		return -1;
	}
	
	return _reboot(flag);
}
